<?php
if (session_id() == "") session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include_once "ewcfg12.php" ?>
<?php include_once ((EW_USE_ADODB) ? "adodb5/adodb.inc.php" : "ewmysql12.php") ?>
<?php include_once "phpfn12.php" ?>
<?php include_once "Usuarioinfo.php" ?>
<?php include_once "userfn12.php" ?>
<?php

//
// Page class
//

$Usuario_add = NULL; // Initialize page object first

class cUsuario_add extends cUsuario {

	// Page ID
	var $PageID = 'add';

	// Project ID
	var $ProjectID = "{612F4CEC-277D-477B-ABAC-2B8738F52202}";

	// Table name
	var $TableName = 'Usuario';

	// Page object name
	var $PageObjName = 'Usuario_add';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		if ($this->UseTokenInUrl) $PageUrl .= "t=" . $this->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_MESSAGE], $v);
	}

	function getFailureMessage() {
		return @$_SESSION[EW_SESSION_FAILURE_MESSAGE];
	}

	function setFailureMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_FAILURE_MESSAGE], $v);
	}

	function getSuccessMessage() {
		return @$_SESSION[EW_SESSION_SUCCESS_MESSAGE];
	}

	function setSuccessMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_SUCCESS_MESSAGE], $v);
	}

	function getWarningMessage() {
		return @$_SESSION[EW_SESSION_WARNING_MESSAGE];
	}

	function setWarningMessage($v) {
		ew_AddMessage($_SESSION[EW_SESSION_WARNING_MESSAGE], $v);
	}

	// Methods to clear message
	function ClearMessage() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
	}

	function ClearFailureMessage() {
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
	}

	function ClearSuccessMessage() {
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
	}

	function ClearWarningMessage() {
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	function ClearMessages() {
		$_SESSION[EW_SESSION_MESSAGE] = "";
		$_SESSION[EW_SESSION_FAILURE_MESSAGE] = "";
		$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = "";
		$_SESSION[EW_SESSION_WARNING_MESSAGE] = "";
	}

	// Show message
	function ShowMessage() {
		$hidden = FALSE;
		$html = "";

		// Message
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage, "");
		if ($sMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sMessage;
			$html .= "<div class=\"alert alert-info ewInfo\">" . $sMessage . "</div>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}

		// Warning message
		$sWarningMessage = $this->getWarningMessage();
		$this->Message_Showing($sWarningMessage, "warning");
		if ($sWarningMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sWarningMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sWarningMessage;
			$html .= "<div class=\"alert alert-warning ewWarning\">" . $sWarningMessage . "</div>";
			$_SESSION[EW_SESSION_WARNING_MESSAGE] = ""; // Clear message in Session
		}

		// Success message
		$sSuccessMessage = $this->getSuccessMessage();
		$this->Message_Showing($sSuccessMessage, "success");
		if ($sSuccessMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sSuccessMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sSuccessMessage;
			$html .= "<div class=\"alert alert-success ewSuccess\">" . $sSuccessMessage . "</div>";
			$_SESSION[EW_SESSION_SUCCESS_MESSAGE] = ""; // Clear message in Session
		}

		// Failure message
		$sErrorMessage = $this->getFailureMessage();
		$this->Message_Showing($sErrorMessage, "failure");
		if ($sErrorMessage <> "") { // Message in Session, display
			if (!$hidden)
				$sErrorMessage = "<button type=\"button\" class=\"close\" data-dismiss=\"alert\">&times;</button>" . $sErrorMessage;
			$html .= "<div class=\"alert alert-danger ewError\">" . $sErrorMessage . "</div>";
			$_SESSION[EW_SESSION_FAILURE_MESSAGE] = ""; // Clear message in Session
		}
		echo "<div class=\"ewMessageDialog\"" . (($hidden) ? " style=\"display: none;\"" : "") . ">" . $html . "</div>";
	}
	var $PageHeader;
	var $PageFooter;

	// Show Page Header
	function ShowPageHeader() {
		$sHeader = $this->PageHeader;
		$this->Page_DataRendering($sHeader);
		if ($sHeader <> "") { // Header exists, display
			echo "<p>" . $sHeader . "</p>";
		}
	}

	// Show Page Footer
	function ShowPageFooter() {
		$sFooter = $this->PageFooter;
		$this->Page_DataRendered($sFooter);
		if ($sFooter <> "") { // Footer exists, display
			echo "<p>" . $sFooter . "</p>";
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm;
		if ($this->UseTokenInUrl) {
			if ($objForm)
				return ($this->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($this->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}
	var $Token = "";
	var $TokenTimeout = 0;
	var $CheckToken = EW_CHECK_TOKEN;
	var $CheckTokenFn = "ew_CheckToken";
	var $CreateTokenFn = "ew_CreateToken";

	// Valid Post
	function ValidPost() {
		if (!$this->CheckToken || !ew_IsHttpPost())
			return TRUE;
		if (!isset($_POST[EW_TOKEN_NAME]))
			return FALSE;
		$fn = $this->CheckTokenFn;
		if (is_callable($fn))
			return $fn($_POST[EW_TOKEN_NAME], $this->TokenTimeout);
		return FALSE;
	}

	// Create Token
	function CreateToken() {
		global $gsToken;
		if ($this->CheckToken) {
			$fn = $this->CreateTokenFn;
			if ($this->Token == "" && is_callable($fn)) // Create token
				$this->Token = $fn();
			$gsToken = $this->Token; // Save to global variable
		}
	}

	//
	// Page class constructor
	//
	function __construct() {
		global $conn, $Language;
		$GLOBALS["Page"] = &$this;
		$this->TokenTimeout = ew_SessionTimeoutTime();

		// Language object
		if (!isset($Language)) $Language = new cLanguage();

		// Parent constuctor
		parent::__construct();

		// Table object (Usuario)
		if (!isset($GLOBALS["Usuario"]) || get_class($GLOBALS["Usuario"]) == "cUsuario") {
			$GLOBALS["Usuario"] = &$this;
			$GLOBALS["Table"] = &$GLOBALS["Usuario"];
		}

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'add', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'Usuario', TRUE);

		// Start timer
		if (!isset($GLOBALS["gTimer"])) $GLOBALS["gTimer"] = new cTimer();

		// Open connection
		if (!isset($conn)) $conn = ew_Connect($this->DBID);
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsCustomExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;

		// Create form object
		$objForm = new cFormObj();
		$this->CurrentAction = (@$_GET["a"] <> "") ? $_GET["a"] : @$_POST["a_list"]; // Set up current action

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();

		// Check token
		if (!$this->ValidPost()) {
			echo $Language->Phrase("InvalidPostRequest");
			$this->Page_Terminate();
			exit();
		}

		// Process auto fill
		if (@$_POST["ajax"] == "autofill") {
			$results = $this->GetAutoFill(@$_POST["name"], @$_POST["q"]);
			if ($results) {

				// Clean output buffer
				if (!EW_DEBUG_ENABLED && ob_get_length())
					ob_end_clean();
				echo $results;
				$this->Page_Terminate();
				exit();
			}
		}

		// Create Token
		$this->CreateToken();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $gsExportFile, $gTmpImages;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		// Export
		global $EW_EXPORT, $Usuario;
		if ($this->CustomExport <> "" && $this->CustomExport == $this->Export && array_key_exists($this->CustomExport, $EW_EXPORT)) {
				$sContent = ob_get_contents();
			if ($gsExportFile == "") $gsExportFile = $this->TableVar;
			$class = $EW_EXPORT[$this->CustomExport];
			if (class_exists($class)) {
				$doc = new $class($Usuario);
				$doc->Text = $sContent;
				if ($this->Export == "email")
					echo $this->ExportEmail($doc->Text);
				else
					$doc->Export();
				ew_DeleteTmpImages(); // Delete temp images
				exit();
			}
		}
		$this->Page_Redirecting($url);

		 // Close connection
		ew_CloseConn();

		// Go to URL if specified
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $FormClassName = "form-horizontal ewForm ewAddForm";
	var $DbMasterFilter = "";
	var $DbDetailFilter = "";
	var $StartRec;
	var $Priv = 0;
	var $OldRecordset;
	var $CopyRecord;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError;

		// Process form if post back
		if (@$_POST["a_add"] <> "") {
			$this->CurrentAction = $_POST["a_add"]; // Get form action
			$this->CopyRecord = $this->LoadOldRecord(); // Load old recordset
			$this->LoadFormValues(); // Load form values
		} else { // Not post back

			// Load key values from QueryString
			$this->CopyRecord = TRUE;
			if (@$_GET["Documento"] != "") {
				$this->Documento->setQueryStringValue($_GET["Documento"]);
				$this->setKey("Documento", $this->Documento->CurrentValue); // Set up key
			} else {
				$this->setKey("Documento", ""); // Clear key
				$this->CopyRecord = FALSE;
			}
			if ($this->CopyRecord) {
				$this->CurrentAction = "C"; // Copy record
			} else {
				$this->CurrentAction = "I"; // Display blank record
			}
		}

		// Set up Breadcrumb
		$this->SetupBreadcrumb();

		// Validate form if post back
		if (@$_POST["a_add"] <> "") {
			if (!$this->ValidateForm()) {
				$this->CurrentAction = "I"; // Form error, reset action
				$this->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues(); // Restore form values
				$this->setFailureMessage($gsFormError);
			}
		} else {
			if ($this->CurrentAction == "I") // Load default values for blank record
				$this->LoadDefaultValues();
		}

		// Perform action based on action code
		switch ($this->CurrentAction) {
			case "I": // Blank record, no action required
				break;
			case "C": // Copy an existing record
				if (!$this->LoadRow()) { // Load record based on key
					if ($this->getFailureMessage() == "") $this->setFailureMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("Usuariolist.php"); // No matching record, return to list
				}
				break;
			case "A": // Add new record
				$this->SendEmail = TRUE; // Send email on add success
				if ($this->AddRow($this->OldRecordset)) { // Add successful
					if ($this->getSuccessMessage() == "")
						$this->setSuccessMessage($Language->Phrase("AddSuccess")); // Set up success message
					$sReturnUrl = $this->getReturnUrl();
					if (ew_GetPageName($sReturnUrl) == "Usuariolist.php")
						$sReturnUrl = $this->AddMasterUrl($sReturnUrl); // List page, return to list page with correct master key if necessary
					elseif (ew_GetPageName($sReturnUrl) == "Usuarioview.php")
						$sReturnUrl = $this->GetViewUrl(); // View page, return to view page with keyurl directly
					$this->Page_Terminate($sReturnUrl); // Clean up and return
				} else {
					$this->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Add failed, restore form values
				}
		}

		// Render row based on row type
		$this->RowType = EW_ROWTYPE_ADD; // Render add type

		// Render row
		$this->ResetAttrs();
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $Language;

		// Get upload data
	}

	// Load default values
	function LoadDefaultValues() {
		$this->Tipo_doc->CurrentValue = NULL;
		$this->Tipo_doc->OldValue = $this->Tipo_doc->CurrentValue;
		$this->Documento->CurrentValue = NULL;
		$this->Documento->OldValue = $this->Documento->CurrentValue;
		$this->Codigo_eps->CurrentValue = NULL;
		$this->Codigo_eps->OldValue = $this->Codigo_eps->CurrentValue;
		$this->Tipo_Usuario->CurrentValue = NULL;
		$this->Tipo_Usuario->OldValue = $this->Tipo_Usuario->CurrentValue;
		$this->Primer_ap->CurrentValue = NULL;
		$this->Primer_ap->OldValue = $this->Primer_ap->CurrentValue;
		$this->Segundo_ap->CurrentValue = NULL;
		$this->Segundo_ap->OldValue = $this->Segundo_ap->CurrentValue;
		$this->Primer_nom->CurrentValue = NULL;
		$this->Primer_nom->OldValue = $this->Primer_nom->CurrentValue;
		$this->Segundo_nom->CurrentValue = NULL;
		$this->Segundo_nom->OldValue = $this->Segundo_nom->CurrentValue;
		$this->Edad->CurrentValue = NULL;
		$this->Edad->OldValue = $this->Edad->CurrentValue;
		$this->Unidad_edad->CurrentValue = NULL;
		$this->Unidad_edad->OldValue = $this->Unidad_edad->CurrentValue;
		$this->Sexo->CurrentValue = NULL;
		$this->Sexo->OldValue = $this->Sexo->CurrentValue;
		$this->Codigo_dpto->CurrentValue = NULL;
		$this->Codigo_dpto->OldValue = $this->Codigo_dpto->CurrentValue;
		$this->Cod_municipio->CurrentValue = NULL;
		$this->Cod_municipio->OldValue = $this->Cod_municipio->CurrentValue;
		$this->Zona_residencia->CurrentValue = NULL;
		$this->Zona_residencia->OldValue = $this->Zona_residencia->CurrentValue;
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm;
		if (!$this->Tipo_doc->FldIsDetailKey) {
			$this->Tipo_doc->setFormValue($objForm->GetValue("x_Tipo_doc"));
		}
		if (!$this->Documento->FldIsDetailKey) {
			$this->Documento->setFormValue($objForm->GetValue("x_Documento"));
		}
		if (!$this->Codigo_eps->FldIsDetailKey) {
			$this->Codigo_eps->setFormValue($objForm->GetValue("x_Codigo_eps"));
		}
		if (!$this->Tipo_Usuario->FldIsDetailKey) {
			$this->Tipo_Usuario->setFormValue($objForm->GetValue("x_Tipo_Usuario"));
		}
		if (!$this->Primer_ap->FldIsDetailKey) {
			$this->Primer_ap->setFormValue($objForm->GetValue("x_Primer_ap"));
		}
		if (!$this->Segundo_ap->FldIsDetailKey) {
			$this->Segundo_ap->setFormValue($objForm->GetValue("x_Segundo_ap"));
		}
		if (!$this->Primer_nom->FldIsDetailKey) {
			$this->Primer_nom->setFormValue($objForm->GetValue("x_Primer_nom"));
		}
		if (!$this->Segundo_nom->FldIsDetailKey) {
			$this->Segundo_nom->setFormValue($objForm->GetValue("x_Segundo_nom"));
		}
		if (!$this->Edad->FldIsDetailKey) {
			$this->Edad->setFormValue($objForm->GetValue("x_Edad"));
		}
		if (!$this->Unidad_edad->FldIsDetailKey) {
			$this->Unidad_edad->setFormValue($objForm->GetValue("x_Unidad_edad"));
		}
		if (!$this->Sexo->FldIsDetailKey) {
			$this->Sexo->setFormValue($objForm->GetValue("x_Sexo"));
		}
		if (!$this->Codigo_dpto->FldIsDetailKey) {
			$this->Codigo_dpto->setFormValue($objForm->GetValue("x_Codigo_dpto"));
		}
		if (!$this->Cod_municipio->FldIsDetailKey) {
			$this->Cod_municipio->setFormValue($objForm->GetValue("x_Cod_municipio"));
		}
		if (!$this->Zona_residencia->FldIsDetailKey) {
			$this->Zona_residencia->setFormValue($objForm->GetValue("x_Zona_residencia"));
		}
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm;
		$this->LoadOldRecord();
		$this->Tipo_doc->CurrentValue = $this->Tipo_doc->FormValue;
		$this->Documento->CurrentValue = $this->Documento->FormValue;
		$this->Codigo_eps->CurrentValue = $this->Codigo_eps->FormValue;
		$this->Tipo_Usuario->CurrentValue = $this->Tipo_Usuario->FormValue;
		$this->Primer_ap->CurrentValue = $this->Primer_ap->FormValue;
		$this->Segundo_ap->CurrentValue = $this->Segundo_ap->FormValue;
		$this->Primer_nom->CurrentValue = $this->Primer_nom->FormValue;
		$this->Segundo_nom->CurrentValue = $this->Segundo_nom->FormValue;
		$this->Edad->CurrentValue = $this->Edad->FormValue;
		$this->Unidad_edad->CurrentValue = $this->Unidad_edad->FormValue;
		$this->Sexo->CurrentValue = $this->Sexo->FormValue;
		$this->Codigo_dpto->CurrentValue = $this->Codigo_dpto->FormValue;
		$this->Cod_municipio->CurrentValue = $this->Cod_municipio->FormValue;
		$this->Zona_residencia->CurrentValue = $this->Zona_residencia->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $Security, $Language;
		$sFilter = $this->KeyFilter();

		// Call Row Selecting event
		$this->Row_Selecting($sFilter);

		// Load SQL based on filter
		$this->CurrentFilter = $sFilter;
		$sSql = $this->SQL();
		$conn = &$this->Connection();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql, $conn);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		if (!$rs || $rs->EOF) return;

		// Call Row Selected event
		$row = &$rs->fields;
		$this->Row_Selected($row);
		$this->Tipo_doc->setDbValue($rs->fields('Tipo_doc'));
		$this->Documento->setDbValue($rs->fields('Documento'));
		$this->Codigo_eps->setDbValue($rs->fields('Codigo_eps'));
		$this->Tipo_Usuario->setDbValue($rs->fields('Tipo_Usuario'));
		$this->Primer_ap->setDbValue($rs->fields('Primer_ap'));
		$this->Segundo_ap->setDbValue($rs->fields('Segundo_ap'));
		$this->Primer_nom->setDbValue($rs->fields('Primer_nom'));
		$this->Segundo_nom->setDbValue($rs->fields('Segundo_nom'));
		$this->Edad->setDbValue($rs->fields('Edad'));
		$this->Unidad_edad->setDbValue($rs->fields('Unidad_edad'));
		$this->Sexo->setDbValue($rs->fields('Sexo'));
		$this->Codigo_dpto->setDbValue($rs->fields('Codigo_dpto'));
		$this->Cod_municipio->setDbValue($rs->fields('Cod_municipio'));
		$this->Zona_residencia->setDbValue($rs->fields('Zona_residencia'));
	}

	// Load DbValue from recordset
	function LoadDbValues(&$rs) {
		if (!$rs || !is_array($rs) && $rs->EOF) return;
		$row = is_array($rs) ? $rs : $rs->fields;
		$this->Tipo_doc->DbValue = $row['Tipo_doc'];
		$this->Documento->DbValue = $row['Documento'];
		$this->Codigo_eps->DbValue = $row['Codigo_eps'];
		$this->Tipo_Usuario->DbValue = $row['Tipo_Usuario'];
		$this->Primer_ap->DbValue = $row['Primer_ap'];
		$this->Segundo_ap->DbValue = $row['Segundo_ap'];
		$this->Primer_nom->DbValue = $row['Primer_nom'];
		$this->Segundo_nom->DbValue = $row['Segundo_nom'];
		$this->Edad->DbValue = $row['Edad'];
		$this->Unidad_edad->DbValue = $row['Unidad_edad'];
		$this->Sexo->DbValue = $row['Sexo'];
		$this->Codigo_dpto->DbValue = $row['Codigo_dpto'];
		$this->Cod_municipio->DbValue = $row['Cod_municipio'];
		$this->Zona_residencia->DbValue = $row['Zona_residencia'];
	}

	// Load old record
	function LoadOldRecord() {

		// Load key values from Session
		$bValidKey = TRUE;
		if (strval($this->getKey("Documento")) <> "")
			$this->Documento->CurrentValue = $this->getKey("Documento"); // Documento
		else
			$bValidKey = FALSE;

		// Load old recordset
		if ($bValidKey) {
			$this->CurrentFilter = $this->KeyFilter();
			$sSql = $this->SQL();
			$conn = &$this->Connection();
			$this->OldRecordset = ew_LoadRecordset($sSql, $conn);
			$this->LoadRowValues($this->OldRecordset); // Load row values
		} else {
			$this->OldRecordset = NULL;
		}
		return $bValidKey;
	}

	// Render row values based on field settings
	function RenderRow() {
		global $Security, $Language, $gsLanguage;

		// Initialize URLs
		// Call Row_Rendering event

		$this->Row_Rendering();

		// Common render codes for all row types
		// Tipo_doc
		// Documento
		// Codigo_eps
		// Tipo_Usuario
		// Primer_ap
		// Segundo_ap
		// Primer_nom
		// Segundo_nom
		// Edad
		// Unidad_edad
		// Sexo
		// Codigo_dpto
		// Cod_municipio
		// Zona_residencia

		if ($this->RowType == EW_ROWTYPE_VIEW) { // View row

		// Tipo_doc
		$this->Tipo_doc->ViewValue = $this->Tipo_doc->CurrentValue;
		$this->Tipo_doc->ViewCustomAttributes = "";

		// Documento
		$this->Documento->ViewValue = $this->Documento->CurrentValue;
		$this->Documento->ViewCustomAttributes = "";

		// Codigo_eps
		$this->Codigo_eps->ViewValue = $this->Codigo_eps->CurrentValue;
		$this->Codigo_eps->ViewCustomAttributes = "";

		// Tipo_Usuario
		$this->Tipo_Usuario->ViewValue = $this->Tipo_Usuario->CurrentValue;
		$this->Tipo_Usuario->ViewCustomAttributes = "";

		// Primer_ap
		$this->Primer_ap->ViewValue = $this->Primer_ap->CurrentValue;
		$this->Primer_ap->ViewCustomAttributes = "";

		// Segundo_ap
		$this->Segundo_ap->ViewValue = $this->Segundo_ap->CurrentValue;
		$this->Segundo_ap->ViewCustomAttributes = "";

		// Primer_nom
		$this->Primer_nom->ViewValue = $this->Primer_nom->CurrentValue;
		$this->Primer_nom->ViewCustomAttributes = "";

		// Segundo_nom
		$this->Segundo_nom->ViewValue = $this->Segundo_nom->CurrentValue;
		$this->Segundo_nom->ViewCustomAttributes = "";

		// Edad
		$this->Edad->ViewValue = $this->Edad->CurrentValue;
		$this->Edad->ViewCustomAttributes = "";

		// Unidad_edad
		$this->Unidad_edad->ViewValue = $this->Unidad_edad->CurrentValue;
		$this->Unidad_edad->ViewCustomAttributes = "";

		// Sexo
		$this->Sexo->ViewValue = $this->Sexo->CurrentValue;
		$this->Sexo->ViewCustomAttributes = "";

		// Codigo_dpto
		$this->Codigo_dpto->ViewValue = $this->Codigo_dpto->CurrentValue;
		$this->Codigo_dpto->ViewCustomAttributes = "";

		// Cod_municipio
		$this->Cod_municipio->ViewValue = $this->Cod_municipio->CurrentValue;
		$this->Cod_municipio->ViewCustomAttributes = "";

		// Zona_residencia
		$this->Zona_residencia->ViewValue = $this->Zona_residencia->CurrentValue;
		$this->Zona_residencia->ViewCustomAttributes = "";

			// Tipo_doc
			$this->Tipo_doc->LinkCustomAttributes = "";
			$this->Tipo_doc->HrefValue = "";
			$this->Tipo_doc->TooltipValue = "";

			// Documento
			$this->Documento->LinkCustomAttributes = "";
			$this->Documento->HrefValue = "";
			$this->Documento->TooltipValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";
			$this->Codigo_eps->TooltipValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";
			$this->Tipo_Usuario->TooltipValue = "";

			// Primer_ap
			$this->Primer_ap->LinkCustomAttributes = "";
			$this->Primer_ap->HrefValue = "";
			$this->Primer_ap->TooltipValue = "";

			// Segundo_ap
			$this->Segundo_ap->LinkCustomAttributes = "";
			$this->Segundo_ap->HrefValue = "";
			$this->Segundo_ap->TooltipValue = "";

			// Primer_nom
			$this->Primer_nom->LinkCustomAttributes = "";
			$this->Primer_nom->HrefValue = "";
			$this->Primer_nom->TooltipValue = "";

			// Segundo_nom
			$this->Segundo_nom->LinkCustomAttributes = "";
			$this->Segundo_nom->HrefValue = "";
			$this->Segundo_nom->TooltipValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";
			$this->Edad->TooltipValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";
			$this->Unidad_edad->TooltipValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";
			$this->Sexo->TooltipValue = "";

			// Codigo_dpto
			$this->Codigo_dpto->LinkCustomAttributes = "";
			$this->Codigo_dpto->HrefValue = "";
			$this->Codigo_dpto->TooltipValue = "";

			// Cod_municipio
			$this->Cod_municipio->LinkCustomAttributes = "";
			$this->Cod_municipio->HrefValue = "";
			$this->Cod_municipio->TooltipValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";
			$this->Zona_residencia->TooltipValue = "";
		} elseif ($this->RowType == EW_ROWTYPE_ADD) { // Add row

			// Tipo_doc
			$this->Tipo_doc->EditAttrs["class"] = "form-control";
			$this->Tipo_doc->EditCustomAttributes = "";
			$this->Tipo_doc->EditValue = ew_HtmlEncode($this->Tipo_doc->CurrentValue);
			$this->Tipo_doc->PlaceHolder = ew_RemoveHtml($this->Tipo_doc->FldCaption());

			// Documento
			$this->Documento->EditAttrs["class"] = "form-control";
			$this->Documento->EditCustomAttributes = "";
			$this->Documento->EditValue = ew_HtmlEncode($this->Documento->CurrentValue);
			$this->Documento->PlaceHolder = ew_RemoveHtml($this->Documento->FldCaption());

			// Codigo_eps
			$this->Codigo_eps->EditAttrs["class"] = "form-control";
			$this->Codigo_eps->EditCustomAttributes = "";
			$this->Codigo_eps->EditValue = ew_HtmlEncode($this->Codigo_eps->CurrentValue);
			$this->Codigo_eps->PlaceHolder = ew_RemoveHtml($this->Codigo_eps->FldCaption());

			// Tipo_Usuario
			$this->Tipo_Usuario->EditAttrs["class"] = "form-control";
			$this->Tipo_Usuario->EditCustomAttributes = "";
			$this->Tipo_Usuario->EditValue = ew_HtmlEncode($this->Tipo_Usuario->CurrentValue);
			$this->Tipo_Usuario->PlaceHolder = ew_RemoveHtml($this->Tipo_Usuario->FldCaption());

			// Primer_ap
			$this->Primer_ap->EditAttrs["class"] = "form-control";
			$this->Primer_ap->EditCustomAttributes = "";
			$this->Primer_ap->EditValue = ew_HtmlEncode($this->Primer_ap->CurrentValue);
			$this->Primer_ap->PlaceHolder = ew_RemoveHtml($this->Primer_ap->FldCaption());

			// Segundo_ap
			$this->Segundo_ap->EditAttrs["class"] = "form-control";
			$this->Segundo_ap->EditCustomAttributes = "";
			$this->Segundo_ap->EditValue = ew_HtmlEncode($this->Segundo_ap->CurrentValue);
			$this->Segundo_ap->PlaceHolder = ew_RemoveHtml($this->Segundo_ap->FldCaption());

			// Primer_nom
			$this->Primer_nom->EditAttrs["class"] = "form-control";
			$this->Primer_nom->EditCustomAttributes = "";
			$this->Primer_nom->EditValue = ew_HtmlEncode($this->Primer_nom->CurrentValue);
			$this->Primer_nom->PlaceHolder = ew_RemoveHtml($this->Primer_nom->FldCaption());

			// Segundo_nom
			$this->Segundo_nom->EditAttrs["class"] = "form-control";
			$this->Segundo_nom->EditCustomAttributes = "";
			$this->Segundo_nom->EditValue = ew_HtmlEncode($this->Segundo_nom->CurrentValue);
			$this->Segundo_nom->PlaceHolder = ew_RemoveHtml($this->Segundo_nom->FldCaption());

			// Edad
			$this->Edad->EditAttrs["class"] = "form-control";
			$this->Edad->EditCustomAttributes = "";
			$this->Edad->EditValue = ew_HtmlEncode($this->Edad->CurrentValue);
			$this->Edad->PlaceHolder = ew_RemoveHtml($this->Edad->FldCaption());

			// Unidad_edad
			$this->Unidad_edad->EditAttrs["class"] = "form-control";
			$this->Unidad_edad->EditCustomAttributes = "";
			$this->Unidad_edad->EditValue = ew_HtmlEncode($this->Unidad_edad->CurrentValue);
			$this->Unidad_edad->PlaceHolder = ew_RemoveHtml($this->Unidad_edad->FldCaption());

			// Sexo
			$this->Sexo->EditAttrs["class"] = "form-control";
			$this->Sexo->EditCustomAttributes = "";
			$this->Sexo->EditValue = ew_HtmlEncode($this->Sexo->CurrentValue);
			$this->Sexo->PlaceHolder = ew_RemoveHtml($this->Sexo->FldCaption());

			// Codigo_dpto
			$this->Codigo_dpto->EditAttrs["class"] = "form-control";
			$this->Codigo_dpto->EditCustomAttributes = "";
			$this->Codigo_dpto->EditValue = ew_HtmlEncode($this->Codigo_dpto->CurrentValue);
			$this->Codigo_dpto->PlaceHolder = ew_RemoveHtml($this->Codigo_dpto->FldCaption());

			// Cod_municipio
			$this->Cod_municipio->EditAttrs["class"] = "form-control";
			$this->Cod_municipio->EditCustomAttributes = "";
			$this->Cod_municipio->EditValue = ew_HtmlEncode($this->Cod_municipio->CurrentValue);
			$this->Cod_municipio->PlaceHolder = ew_RemoveHtml($this->Cod_municipio->FldCaption());

			// Zona_residencia
			$this->Zona_residencia->EditAttrs["class"] = "form-control";
			$this->Zona_residencia->EditCustomAttributes = "";
			$this->Zona_residencia->EditValue = ew_HtmlEncode($this->Zona_residencia->CurrentValue);
			$this->Zona_residencia->PlaceHolder = ew_RemoveHtml($this->Zona_residencia->FldCaption());

			// Add refer script
			// Tipo_doc

			$this->Tipo_doc->LinkCustomAttributes = "";
			$this->Tipo_doc->HrefValue = "";

			// Documento
			$this->Documento->LinkCustomAttributes = "";
			$this->Documento->HrefValue = "";

			// Codigo_eps
			$this->Codigo_eps->LinkCustomAttributes = "";
			$this->Codigo_eps->HrefValue = "";

			// Tipo_Usuario
			$this->Tipo_Usuario->LinkCustomAttributes = "";
			$this->Tipo_Usuario->HrefValue = "";

			// Primer_ap
			$this->Primer_ap->LinkCustomAttributes = "";
			$this->Primer_ap->HrefValue = "";

			// Segundo_ap
			$this->Segundo_ap->LinkCustomAttributes = "";
			$this->Segundo_ap->HrefValue = "";

			// Primer_nom
			$this->Primer_nom->LinkCustomAttributes = "";
			$this->Primer_nom->HrefValue = "";

			// Segundo_nom
			$this->Segundo_nom->LinkCustomAttributes = "";
			$this->Segundo_nom->HrefValue = "";

			// Edad
			$this->Edad->LinkCustomAttributes = "";
			$this->Edad->HrefValue = "";

			// Unidad_edad
			$this->Unidad_edad->LinkCustomAttributes = "";
			$this->Unidad_edad->HrefValue = "";

			// Sexo
			$this->Sexo->LinkCustomAttributes = "";
			$this->Sexo->HrefValue = "";

			// Codigo_dpto
			$this->Codigo_dpto->LinkCustomAttributes = "";
			$this->Codigo_dpto->HrefValue = "";

			// Cod_municipio
			$this->Cod_municipio->LinkCustomAttributes = "";
			$this->Cod_municipio->HrefValue = "";

			// Zona_residencia
			$this->Zona_residencia->LinkCustomAttributes = "";
			$this->Zona_residencia->HrefValue = "";
		}
		if ($this->RowType == EW_ROWTYPE_ADD ||
			$this->RowType == EW_ROWTYPE_EDIT ||
			$this->RowType == EW_ROWTYPE_SEARCH) { // Add / Edit / Search row
			$this->SetupFieldTitles();
		}

		// Call Row Rendered event
		if ($this->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$this->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!$this->Tipo_doc->FldIsDetailKey && !is_null($this->Tipo_doc->FormValue) && $this->Tipo_doc->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Tipo_doc->FldCaption(), $this->Tipo_doc->ReqErrMsg));
		}
		if (!$this->Documento->FldIsDetailKey && !is_null($this->Documento->FormValue) && $this->Documento->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Documento->FldCaption(), $this->Documento->ReqErrMsg));
		}
		if (!$this->Codigo_eps->FldIsDetailKey && !is_null($this->Codigo_eps->FormValue) && $this->Codigo_eps->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Codigo_eps->FldCaption(), $this->Codigo_eps->ReqErrMsg));
		}
		if (!$this->Tipo_Usuario->FldIsDetailKey && !is_null($this->Tipo_Usuario->FormValue) && $this->Tipo_Usuario->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Tipo_Usuario->FldCaption(), $this->Tipo_Usuario->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Tipo_Usuario->FormValue)) {
			ew_AddMessage($gsFormError, $this->Tipo_Usuario->FldErrMsg());
		}
		if (!$this->Edad->FldIsDetailKey && !is_null($this->Edad->FormValue) && $this->Edad->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Edad->FldCaption(), $this->Edad->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Edad->FormValue)) {
			ew_AddMessage($gsFormError, $this->Edad->FldErrMsg());
		}
		if (!$this->Unidad_edad->FldIsDetailKey && !is_null($this->Unidad_edad->FormValue) && $this->Unidad_edad->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Unidad_edad->FldCaption(), $this->Unidad_edad->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Unidad_edad->FormValue)) {
			ew_AddMessage($gsFormError, $this->Unidad_edad->FldErrMsg());
		}
		if (!$this->Sexo->FldIsDetailKey && !is_null($this->Sexo->FormValue) && $this->Sexo->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Sexo->FldCaption(), $this->Sexo->ReqErrMsg));
		}
		if (!$this->Codigo_dpto->FldIsDetailKey && !is_null($this->Codigo_dpto->FormValue) && $this->Codigo_dpto->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Codigo_dpto->FldCaption(), $this->Codigo_dpto->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Codigo_dpto->FormValue)) {
			ew_AddMessage($gsFormError, $this->Codigo_dpto->FldErrMsg());
		}
		if (!$this->Cod_municipio->FldIsDetailKey && !is_null($this->Cod_municipio->FormValue) && $this->Cod_municipio->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Cod_municipio->FldCaption(), $this->Cod_municipio->ReqErrMsg));
		}
		if (!ew_CheckInteger($this->Cod_municipio->FormValue)) {
			ew_AddMessage($gsFormError, $this->Cod_municipio->FldErrMsg());
		}
		if (!$this->Zona_residencia->FldIsDetailKey && !is_null($this->Zona_residencia->FormValue) && $this->Zona_residencia->FormValue == "") {
			ew_AddMessage($gsFormError, str_replace("%s", $this->Zona_residencia->FldCaption(), $this->Zona_residencia->ReqErrMsg));
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			ew_AddMessage($gsFormError, $sFormCustomError);
		}
		return $ValidateForm;
	}

	// Add record
	function AddRow($rsold = NULL) {
		global $Language, $Security;
		if ($this->Documento->CurrentValue <> "") { // Check field with unique index
			$sFilter = "(Documento = '" . ew_AdjustSql($this->Documento->CurrentValue, $this->DBID) . "')";
			$rsChk = $this->LoadRs($sFilter);
			if ($rsChk && !$rsChk->EOF) {
				$sIdxErrMsg = str_replace("%f", $this->Documento->FldCaption(), $Language->Phrase("DupIndex"));
				$sIdxErrMsg = str_replace("%v", $this->Documento->CurrentValue, $sIdxErrMsg);
				$this->setFailureMessage($sIdxErrMsg);
				$rsChk->Close();
				return FALSE;
			}
		}
		$conn = &$this->Connection();

		// Load db values from rsold
		if ($rsold) {
			$this->LoadDbValues($rsold);
		}
		$rsnew = array();

		// Tipo_doc
		$this->Tipo_doc->SetDbValueDef($rsnew, $this->Tipo_doc->CurrentValue, "", FALSE);

		// Documento
		$this->Documento->SetDbValueDef($rsnew, $this->Documento->CurrentValue, "", FALSE);

		// Codigo_eps
		$this->Codigo_eps->SetDbValueDef($rsnew, $this->Codigo_eps->CurrentValue, "", FALSE);

		// Tipo_Usuario
		$this->Tipo_Usuario->SetDbValueDef($rsnew, $this->Tipo_Usuario->CurrentValue, 0, FALSE);

		// Primer_ap
		$this->Primer_ap->SetDbValueDef($rsnew, $this->Primer_ap->CurrentValue, NULL, FALSE);

		// Segundo_ap
		$this->Segundo_ap->SetDbValueDef($rsnew, $this->Segundo_ap->CurrentValue, NULL, FALSE);

		// Primer_nom
		$this->Primer_nom->SetDbValueDef($rsnew, $this->Primer_nom->CurrentValue, NULL, FALSE);

		// Segundo_nom
		$this->Segundo_nom->SetDbValueDef($rsnew, $this->Segundo_nom->CurrentValue, NULL, FALSE);

		// Edad
		$this->Edad->SetDbValueDef($rsnew, $this->Edad->CurrentValue, 0, FALSE);

		// Unidad_edad
		$this->Unidad_edad->SetDbValueDef($rsnew, $this->Unidad_edad->CurrentValue, 0, FALSE);

		// Sexo
		$this->Sexo->SetDbValueDef($rsnew, $this->Sexo->CurrentValue, "", FALSE);

		// Codigo_dpto
		$this->Codigo_dpto->SetDbValueDef($rsnew, $this->Codigo_dpto->CurrentValue, 0, FALSE);

		// Cod_municipio
		$this->Cod_municipio->SetDbValueDef($rsnew, $this->Cod_municipio->CurrentValue, 0, FALSE);

		// Zona_residencia
		$this->Zona_residencia->SetDbValueDef($rsnew, $this->Zona_residencia->CurrentValue, "", FALSE);

		// Call Row Inserting event
		$rs = ($rsold == NULL) ? NULL : $rsold->fields;
		$bInsertRow = $this->Row_Inserting($rs, $rsnew);

		// Check if key value entered
		if ($bInsertRow && $this->ValidateKey && strval($rsnew['Documento']) == "") {
			$this->setFailureMessage($Language->Phrase("InvalidKeyValue"));
			$bInsertRow = FALSE;
		}

		// Check for duplicate key
		if ($bInsertRow && $this->ValidateKey) {
			$sFilter = $this->KeyFilter();
			$rsChk = $this->LoadRs($sFilter);
			if ($rsChk && !$rsChk->EOF) {
				$sKeyErrMsg = str_replace("%f", $sFilter, $Language->Phrase("DupKey"));
				$this->setFailureMessage($sKeyErrMsg);
				$rsChk->Close();
				$bInsertRow = FALSE;
			}
		}
		if ($bInsertRow) {
			$conn->raiseErrorFn = $GLOBALS["EW_ERROR_FN"];
			$AddRow = $this->Insert($rsnew);
			$conn->raiseErrorFn = '';
			if ($AddRow) {
			}
		} else {
			if ($this->getSuccessMessage() <> "" || $this->getFailureMessage() <> "") {

				// Use the message, do nothing
			} elseif ($this->CancelMessage <> "") {
				$this->setFailureMessage($this->CancelMessage);
				$this->CancelMessage = "";
			} else {
				$this->setFailureMessage($Language->Phrase("InsertCancelled"));
			}
			$AddRow = FALSE;
		}
		if ($AddRow) {

			// Call Row Inserted event
			$rs = ($rsold == NULL) ? NULL : $rsold->fields;
			$this->Row_Inserted($rs, $rsnew);
		}
		return $AddRow;
	}

	// Set up Breadcrumb
	function SetupBreadcrumb() {
		global $Breadcrumb, $Language;
		$Breadcrumb = new cBreadcrumb();
		$url = substr(ew_CurrentUrl(), strrpos(ew_CurrentUrl(), "/")+1);
		$Breadcrumb->Add("list", $this->TableVar, $this->AddMasterUrl("Usuariolist.php"), "", $this->TableVar, TRUE);
		$PageId = ($this->CurrentAction == "C") ? "Copy" : "Add";
		$Breadcrumb->Add("add", $PageId, $url);
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	// $type = ''|'success'|'failure'|'warning'
	function Message_Showing(&$msg, $type) {
		if ($type == 'success') {

			//$msg = "your success message";
		} elseif ($type == 'failure') {

			//$msg = "your failure message";
		} elseif ($type == 'warning') {

			//$msg = "your warning message";
		} else {

			//$msg = "your message";
		}
	}

	// Page Render event
	function Page_Render() {

		//echo "Page Render";
	}

	// Page Data Rendering event
	function Page_DataRendering(&$header) {

		// Example:
		//$header = "your header";

	}

	// Page Data Rendered event
	function Page_DataRendered(&$footer) {

		// Example:
		//$footer = "your footer";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
<?php ew_Header(FALSE) ?>
<?php

// Create page object
if (!isset($Usuario_add)) $Usuario_add = new cUsuario_add();

// Page init
$Usuario_add->Page_Init();

// Page main
$Usuario_add->Page_Main();

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$Usuario_add->Page_Render();
?>
<?php include_once "header.php" ?>
<script type="text/javascript">

// Form object
var CurrentPageID = EW_PAGE_ID = "add";
var CurrentForm = fUsuarioadd = new ew_Form("fUsuarioadd", "add");

// Validate form
fUsuarioadd.Validate = function() {
	if (!this.ValidateRequired)
		return true; // Ignore validation
	var $ = jQuery, fobj = this.GetForm(), $fobj = $(fobj);
	if ($fobj.find("#a_confirm").val() == "F")
		return true;
	var elm, felm, uelm, addcnt = 0;
	var $k = $fobj.find("#" + this.FormKeyCountName); // Get key_count
	var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
	var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
	var gridinsert = $fobj.find("#a_list").val() == "gridinsert";
	for (var i = startcnt; i <= rowcnt; i++) {
		var infix = ($k[0]) ? String(i) : "";
		$fobj.data("rowindex", infix);
			elm = this.GetElements("x" + infix + "_Tipo_doc");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Tipo_doc->FldCaption(), $Usuario->Tipo_doc->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Documento");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Documento->FldCaption(), $Usuario->Documento->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Codigo_eps");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Codigo_eps->FldCaption(), $Usuario->Codigo_eps->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Tipo_Usuario");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Tipo_Usuario->FldCaption(), $Usuario->Tipo_Usuario->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Tipo_Usuario");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($Usuario->Tipo_Usuario->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Edad");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Edad->FldCaption(), $Usuario->Edad->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Edad");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($Usuario->Edad->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Unidad_edad");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Unidad_edad->FldCaption(), $Usuario->Unidad_edad->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Unidad_edad");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($Usuario->Unidad_edad->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Sexo");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Sexo->FldCaption(), $Usuario->Sexo->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Codigo_dpto");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Codigo_dpto->FldCaption(), $Usuario->Codigo_dpto->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Codigo_dpto");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($Usuario->Codigo_dpto->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Cod_municipio");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Cod_municipio->FldCaption(), $Usuario->Cod_municipio->ReqErrMsg)) ?>");
			elm = this.GetElements("x" + infix + "_Cod_municipio");
			if (elm && !ew_CheckInteger(elm.value))
				return this.OnError(elm, "<?php echo ew_JsEncode2($Usuario->Cod_municipio->FldErrMsg()) ?>");
			elm = this.GetElements("x" + infix + "_Zona_residencia");
			if (elm && !ew_IsHidden(elm) && !ew_HasValue(elm))
				return this.OnError(elm, "<?php echo ew_JsEncode2(str_replace("%s", $Usuario->Zona_residencia->FldCaption(), $Usuario->Zona_residencia->ReqErrMsg)) ?>");

			// Fire Form_CustomValidate event
			if (!this.Form_CustomValidate(fobj))
				return false;
	}

	// Process detail forms
	var dfs = $fobj.find("input[name='detailpage']").get();
	for (var i = 0; i < dfs.length; i++) {
		var df = dfs[i], val = df.value;
		if (val && ewForms[val])
			if (!ewForms[val].Validate())
				return false;
	}
	return true;
}

// Form_CustomValidate event
fUsuarioadd.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }

// Use JavaScript validation or not
<?php if (EW_CLIENT_VALIDATE) { ?>
fUsuarioadd.ValidateRequired = true;
<?php } else { ?>
fUsuarioadd.ValidateRequired = false; 
<?php } ?>

// Dynamic selection lists
// Form object for search

</script>
<script type="text/javascript">

// Write your client script here, no need to add script tags.
</script>
<div class="ewToolbar">
<?php $Breadcrumb->Render(); ?>
<?php echo $Language->SelectionForm(); ?>
<div class="clearfix"></div>
</div>
<?php $Usuario_add->ShowPageHeader(); ?>
<?php
$Usuario_add->ShowMessage();
?>
<form name="fUsuarioadd" id="fUsuarioadd" class="<?php echo $Usuario_add->FormClassName ?>" action="<?php echo ew_CurrentPage() ?>" method="post">
<?php if ($Usuario_add->CheckToken) { ?>
<input type="hidden" name="<?php echo EW_TOKEN_NAME ?>" value="<?php echo $Usuario_add->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="Usuario">
<input type="hidden" name="a_add" id="a_add" value="A">
<div>
<?php if ($Usuario->Tipo_doc->Visible) { // Tipo_doc ?>
	<div id="r_Tipo_doc" class="form-group">
		<label id="elh_Usuario_Tipo_doc" for="x_Tipo_doc" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Tipo_doc->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Tipo_doc->CellAttributes() ?>>
<span id="el_Usuario_Tipo_doc">
<input type="text" data-table="Usuario" data-field="x_Tipo_doc" name="x_Tipo_doc" id="x_Tipo_doc" size="30" maxlength="20" placeholder="<?php echo ew_HtmlEncode($Usuario->Tipo_doc->getPlaceHolder()) ?>" value="<?php echo $Usuario->Tipo_doc->EditValue ?>"<?php echo $Usuario->Tipo_doc->EditAttributes() ?>>
</span>
<?php echo $Usuario->Tipo_doc->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Documento->Visible) { // Documento ?>
	<div id="r_Documento" class="form-group">
		<label id="elh_Usuario_Documento" for="x_Documento" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Documento->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Documento->CellAttributes() ?>>
<span id="el_Usuario_Documento">
<input type="text" data-table="Usuario" data-field="x_Documento" name="x_Documento" id="x_Documento" size="30" maxlength="30" placeholder="<?php echo ew_HtmlEncode($Usuario->Documento->getPlaceHolder()) ?>" value="<?php echo $Usuario->Documento->EditValue ?>"<?php echo $Usuario->Documento->EditAttributes() ?>>
</span>
<?php echo $Usuario->Documento->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Codigo_eps->Visible) { // Codigo_eps ?>
	<div id="r_Codigo_eps" class="form-group">
		<label id="elh_Usuario_Codigo_eps" for="x_Codigo_eps" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Codigo_eps->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Codigo_eps->CellAttributes() ?>>
<span id="el_Usuario_Codigo_eps">
<input type="text" data-table="Usuario" data-field="x_Codigo_eps" name="x_Codigo_eps" id="x_Codigo_eps" size="30" maxlength="20" placeholder="<?php echo ew_HtmlEncode($Usuario->Codigo_eps->getPlaceHolder()) ?>" value="<?php echo $Usuario->Codigo_eps->EditValue ?>"<?php echo $Usuario->Codigo_eps->EditAttributes() ?>>
</span>
<?php echo $Usuario->Codigo_eps->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Tipo_Usuario->Visible) { // Tipo_Usuario ?>
	<div id="r_Tipo_Usuario" class="form-group">
		<label id="elh_Usuario_Tipo_Usuario" for="x_Tipo_Usuario" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Tipo_Usuario->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Tipo_Usuario->CellAttributes() ?>>
<span id="el_Usuario_Tipo_Usuario">
<input type="text" data-table="Usuario" data-field="x_Tipo_Usuario" name="x_Tipo_Usuario" id="x_Tipo_Usuario" size="30" placeholder="<?php echo ew_HtmlEncode($Usuario->Tipo_Usuario->getPlaceHolder()) ?>" value="<?php echo $Usuario->Tipo_Usuario->EditValue ?>"<?php echo $Usuario->Tipo_Usuario->EditAttributes() ?>>
</span>
<?php echo $Usuario->Tipo_Usuario->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Primer_ap->Visible) { // Primer_ap ?>
	<div id="r_Primer_ap" class="form-group">
		<label id="elh_Usuario_Primer_ap" for="x_Primer_ap" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Primer_ap->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Primer_ap->CellAttributes() ?>>
<span id="el_Usuario_Primer_ap">
<input type="text" data-table="Usuario" data-field="x_Primer_ap" name="x_Primer_ap" id="x_Primer_ap" size="30" maxlength="50" placeholder="<?php echo ew_HtmlEncode($Usuario->Primer_ap->getPlaceHolder()) ?>" value="<?php echo $Usuario->Primer_ap->EditValue ?>"<?php echo $Usuario->Primer_ap->EditAttributes() ?>>
</span>
<?php echo $Usuario->Primer_ap->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Segundo_ap->Visible) { // Segundo_ap ?>
	<div id="r_Segundo_ap" class="form-group">
		<label id="elh_Usuario_Segundo_ap" for="x_Segundo_ap" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Segundo_ap->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Segundo_ap->CellAttributes() ?>>
<span id="el_Usuario_Segundo_ap">
<input type="text" data-table="Usuario" data-field="x_Segundo_ap" name="x_Segundo_ap" id="x_Segundo_ap" size="30" maxlength="50" placeholder="<?php echo ew_HtmlEncode($Usuario->Segundo_ap->getPlaceHolder()) ?>" value="<?php echo $Usuario->Segundo_ap->EditValue ?>"<?php echo $Usuario->Segundo_ap->EditAttributes() ?>>
</span>
<?php echo $Usuario->Segundo_ap->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Primer_nom->Visible) { // Primer_nom ?>
	<div id="r_Primer_nom" class="form-group">
		<label id="elh_Usuario_Primer_nom" for="x_Primer_nom" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Primer_nom->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Primer_nom->CellAttributes() ?>>
<span id="el_Usuario_Primer_nom">
<input type="text" data-table="Usuario" data-field="x_Primer_nom" name="x_Primer_nom" id="x_Primer_nom" size="30" maxlength="50" placeholder="<?php echo ew_HtmlEncode($Usuario->Primer_nom->getPlaceHolder()) ?>" value="<?php echo $Usuario->Primer_nom->EditValue ?>"<?php echo $Usuario->Primer_nom->EditAttributes() ?>>
</span>
<?php echo $Usuario->Primer_nom->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Segundo_nom->Visible) { // Segundo_nom ?>
	<div id="r_Segundo_nom" class="form-group">
		<label id="elh_Usuario_Segundo_nom" for="x_Segundo_nom" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Segundo_nom->FldCaption() ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Segundo_nom->CellAttributes() ?>>
<span id="el_Usuario_Segundo_nom">
<input type="text" data-table="Usuario" data-field="x_Segundo_nom" name="x_Segundo_nom" id="x_Segundo_nom" size="30" maxlength="50" placeholder="<?php echo ew_HtmlEncode($Usuario->Segundo_nom->getPlaceHolder()) ?>" value="<?php echo $Usuario->Segundo_nom->EditValue ?>"<?php echo $Usuario->Segundo_nom->EditAttributes() ?>>
</span>
<?php echo $Usuario->Segundo_nom->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Edad->Visible) { // Edad ?>
	<div id="r_Edad" class="form-group">
		<label id="elh_Usuario_Edad" for="x_Edad" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Edad->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Edad->CellAttributes() ?>>
<span id="el_Usuario_Edad">
<input type="text" data-table="Usuario" data-field="x_Edad" name="x_Edad" id="x_Edad" size="30" placeholder="<?php echo ew_HtmlEncode($Usuario->Edad->getPlaceHolder()) ?>" value="<?php echo $Usuario->Edad->EditValue ?>"<?php echo $Usuario->Edad->EditAttributes() ?>>
</span>
<?php echo $Usuario->Edad->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Unidad_edad->Visible) { // Unidad_edad ?>
	<div id="r_Unidad_edad" class="form-group">
		<label id="elh_Usuario_Unidad_edad" for="x_Unidad_edad" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Unidad_edad->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Unidad_edad->CellAttributes() ?>>
<span id="el_Usuario_Unidad_edad">
<input type="text" data-table="Usuario" data-field="x_Unidad_edad" name="x_Unidad_edad" id="x_Unidad_edad" size="30" placeholder="<?php echo ew_HtmlEncode($Usuario->Unidad_edad->getPlaceHolder()) ?>" value="<?php echo $Usuario->Unidad_edad->EditValue ?>"<?php echo $Usuario->Unidad_edad->EditAttributes() ?>>
</span>
<?php echo $Usuario->Unidad_edad->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Sexo->Visible) { // Sexo ?>
	<div id="r_Sexo" class="form-group">
		<label id="elh_Usuario_Sexo" for="x_Sexo" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Sexo->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Sexo->CellAttributes() ?>>
<span id="el_Usuario_Sexo">
<input type="text" data-table="Usuario" data-field="x_Sexo" name="x_Sexo" id="x_Sexo" size="30" maxlength="2" placeholder="<?php echo ew_HtmlEncode($Usuario->Sexo->getPlaceHolder()) ?>" value="<?php echo $Usuario->Sexo->EditValue ?>"<?php echo $Usuario->Sexo->EditAttributes() ?>>
</span>
<?php echo $Usuario->Sexo->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Codigo_dpto->Visible) { // Codigo_dpto ?>
	<div id="r_Codigo_dpto" class="form-group">
		<label id="elh_Usuario_Codigo_dpto" for="x_Codigo_dpto" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Codigo_dpto->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Codigo_dpto->CellAttributes() ?>>
<span id="el_Usuario_Codigo_dpto">
<input type="text" data-table="Usuario" data-field="x_Codigo_dpto" name="x_Codigo_dpto" id="x_Codigo_dpto" size="30" placeholder="<?php echo ew_HtmlEncode($Usuario->Codigo_dpto->getPlaceHolder()) ?>" value="<?php echo $Usuario->Codigo_dpto->EditValue ?>"<?php echo $Usuario->Codigo_dpto->EditAttributes() ?>>
</span>
<?php echo $Usuario->Codigo_dpto->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Cod_municipio->Visible) { // Cod_municipio ?>
	<div id="r_Cod_municipio" class="form-group">
		<label id="elh_Usuario_Cod_municipio" for="x_Cod_municipio" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Cod_municipio->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Cod_municipio->CellAttributes() ?>>
<span id="el_Usuario_Cod_municipio">
<input type="text" data-table="Usuario" data-field="x_Cod_municipio" name="x_Cod_municipio" id="x_Cod_municipio" size="30" placeholder="<?php echo ew_HtmlEncode($Usuario->Cod_municipio->getPlaceHolder()) ?>" value="<?php echo $Usuario->Cod_municipio->EditValue ?>"<?php echo $Usuario->Cod_municipio->EditAttributes() ?>>
</span>
<?php echo $Usuario->Cod_municipio->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($Usuario->Zona_residencia->Visible) { // Zona_residencia ?>
	<div id="r_Zona_residencia" class="form-group">
		<label id="elh_Usuario_Zona_residencia" for="x_Zona_residencia" class="col-sm-2 control-label ewLabel"><?php echo $Usuario->Zona_residencia->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></label>
		<div class="col-sm-10"><div<?php echo $Usuario->Zona_residencia->CellAttributes() ?>>
<span id="el_Usuario_Zona_residencia">
<input type="text" data-table="Usuario" data-field="x_Zona_residencia" name="x_Zona_residencia" id="x_Zona_residencia" size="30" maxlength="2" placeholder="<?php echo ew_HtmlEncode($Usuario->Zona_residencia->getPlaceHolder()) ?>" value="<?php echo $Usuario->Zona_residencia->EditValue ?>"<?php echo $Usuario->Zona_residencia->EditAttributes() ?>>
</span>
<?php echo $Usuario->Zona_residencia->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div>
<div class="form-group">
	<div class="col-sm-offset-2 col-sm-10">
<button class="btn btn-primary ewButton" name="btnAction" id="btnAction" type="submit"><?php echo $Language->Phrase("AddBtn") ?></button>
<button class="btn btn-default ewButton" name="btnCancel" id="btnCancel" type="button" data-href="<?php echo $Usuario_add->getReturnUrl() ?>"><?php echo $Language->Phrase("CancelBtn") ?></button>
	</div>
</div>
</form>
<script type="text/javascript">
fUsuarioadd.Init();
</script>
<?php
$Usuario_add->ShowPageFooter();
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
?>
<script type="text/javascript">

// Write your table-specific startup script here
// document.write("page loaded");

</script>
<?php include_once "footer.php" ?>
<?php
$Usuario_add->Page_Terminate();
?>
